Subject: bug#35385: 27.0.50; Make dired-dwim-target aware of other frames

From: Michael Heerdegen <[email-masked]>
Date: Wed, 13 Nov 2019 16:30:11 +0100

Juri Linkov <[email-masked]> writes:

> Now pushed to master.  Please close if everything is alright.

Thanks.  Works well for me.  But I'm not yet happy with the docstring of
the option `dired-dwim-target'.

I think we should add that the non-nil value can be a function, and that
in this case that function will be called with zero arguments and is
expected to return a list of directories which will be used as defaults
(i.e. default target and "future history") (though,
`dired-dwim-target-defaults' might modify it a bit).

The sentence "You can customize it to prefer either the next window with
a Dired buffer, or the most recently used window with a Dired buffer."
could get appended "or something else".

Michael.